<template>
  <lightning-card  variant="Narrow"  title={accountName} icon-name="standard:account">
  </lightning-card>

  <br/><br/>
  <template if:true={contactId}>
    <lightning-card title="Contact Information" icon-name="standard:contact" >
      <lightning-button label="Edit Contact" variant="brand-outline" onclick={openContactModal} icon-name="utility:edit" slot="actions"></lightning-button>
      <div class="slds-p-bottom_large slds-p-left_large">
        <lightning-record-view-form
              record-id={contactId}
              object-api-name="Contact">
          <lightning-messages></lightning-messages>

          <div class="slds-grid">
            <div class="slds-col slds-size_1-of-2">
              <lightning-output-field field-name="FirstName"></lightning-output-field>
              <lightning-output-field field-name="Email"></lightning-output-field>
              <lightning-output-field field-name="Phone"></lightning-output-field>
              <lightning-output-field field-name="HomePhone"></lightning-output-field>
              <lightning-output-field field-name="Description"></lightning-output-field>
            </div>
            <div class="slds-col slds-size_1-of-2">
              <lightning-output-field field-name="LastName"></lightning-output-field>
              <lightning-output-field field-name="Title"></lightning-output-field>
              <lightning-output-field field-name="Phone"></lightning-output-field>
              <lightning-output-field field-name="OtherPhone"></lightning-output-field>
              <lightning-output-field field-name="MailingAddress"></lightning-output-field>
            </div> 
          </div>           
        </lightning-record-view-form>
      </div>
    </lightning-card>    
  </template>

  <br/><br/>
  <lightning-card title="RaM Case Assignments" icon-name="standard:case">
    <template if:true={assignmentRecords}>
      <lightning-datatable
        key-field="id"
        data={assignmentRecords}
        columns={columns} 
        show-row-number-column
        hide-checkbox-column > </lightning-datatable>
    </template>
  </lightning-card>


  <!--Edit Contact modal-->
  <template if:true={showContactModal}>
    <section role="dialog"
            tabindex="-1"
            aria-labelledby="modal-heading-01"
            aria-modal="true"
            aria-describedby="modal-content-id-1"
            class="slds-modal slds-fade-in-open slds-modal-medium">
      <div class="slds-modal__container">
        <header class="slds-modal__header">
          <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeContactModal}>
            <lightning-icon icon-name="utility:close" size="medium">
            </lightning-icon>
            <span class="slds-assistive-text">Close</span>
          </button>
          <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Edit Contact</h2>
        </header>

        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
          <lightning-record-edit-form
              object-api-name="Contact"
              record-id={contactId}
              onsubmit={handleContactUpdate}
              density="comfy">
            
            <lightning-messages></lightning-messages>
            <div class="slds-form__row">
              <div class="slds-form__item">
                <lightning-input-field field-name="FirstName" required></lightning-input-field>
              </div>
              <div class="slds-form__item">
                <lightning-input-field field-name="LastName" required></lightning-input-field>
              </div> 
            </div>
            <div class="slds-form__row">
              <div class="slds-form__item">
                <lightning-input-field field-name="Email" required></lightning-input-field>
              </div>
              <div class="slds-form__item">
                <lightning-input-field field-name="MobilePhone"></lightning-input-field>
              </div>
            </div>
            <div class="slds-form__row">
              <div class="slds-form__item">
                <lightning-input-field field-name="Phone"></lightning-input-field>
              </div> 
              <div class="slds-form__item">
                <lightning-input-field field-name="HomePhone"></lightning-input-field>
              </div>
            </div>   
            <div class="slds-form__row">
              <div class="slds-form__item">
                <lightning-input-field field-name="OtherPhone"></lightning-input-field>
              </div> 
              <div class="slds-form__item">
                <lightning-input-field field-name="Title"></lightning-input-field>
              </div> 
            </div>                         
            <div class="slds-form__row">
              <div class="slds-form__item">
                <lightning-input-field field-name="MailingAddress"></lightning-input-field>
              </div>
            </div> 
            <div class="slds-form__row">
              <div class="slds-form__item">
                <lightning-input-field field-name="Description"></lightning-input-field>
              </div>
            </div>             
            <div style="display: none;">
              <div class="slds-form__row">
                <div class="slds-form__item">
                  <lightning-input-field field-name="AccountId" value={accountId} readonly required></lightning-input-field>
                </div>                
              </div>
            </div>
            <footer class="slds-modal__footer">
              <lightning-button label="Cancel" variant="neutral" onclick={closeContactModal}></lightning-button>&nbsp;&nbsp;&nbsp;&nbsp;
              <lightning-button label={saveButtonLabel} disabled={isSaveDisabled} variant="brand" type="submit" ></lightning-button>
          </footer>               
          </lightning-record-edit-form>
          </div>             
        </div>
      </section>
      <div class="slds-backdrop slds-backdrop_open"></div>
      
    </template>  

</template>